VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PipelineColorBlendAdvancedStateCreateInfoEXT (Bool32 srcPremultiplied_=0, Bool32 dstPremultiplied_=0, BlendOverlapEXT blendOverlap_=BlendOverlapEXT::eUncorrelated)
| PipelineColorBlendAdvancedStateCreateInfoEXT (VkPipelineColorBlendAdvancedStateCreateInfoEXT const &rhs)
PipelineColorBlendAdvancedStateCreateInfoEXT & | operator= (VkPipelineColorBlendAdvancedStateCreateInfoEXT const &rhs)
PipelineColorBlendAdvancedStateCreateInfoEXT & | setPNext (const void *pNext_)
PipelineColorBlendAdvancedStateCreateInfoEXT & | setSrcPremultiplied (Bool32 srcPremultiplied_)
PipelineColorBlendAdvancedStateCreateInfoEXT & | setDstPremultiplied (Bool32 dstPremultiplied_)
PipelineColorBlendAdvancedStateCreateInfoEXT & | setBlendOverlap (BlendOverlapEXT blendOverlap_)
| operator VkPipelineColorBlendAdvancedStateCreateInfoEXT const & () const
| operator VkPipelineColorBlendAdvancedStateCreateInfoEXT & ()
bool | operator== (PipelineColorBlendAdvancedStateCreateInfoEXT const &rhs) const
bool | operator!= (PipelineColorBlendAdvancedStateCreateInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
Bool32 | srcPremultiplied
Bool32 | dstPremultiplied
BlendOverlapEXT | blendOverlap

## Private Attributes

StructureType | sType = StructureType::ePipelineColorBlendAdvancedStateCreateInfoEXT

## Detailed Description

Definition at line 35741 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineColorBlendAdvancedStateCreateInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::PipelineColorBlendAdvancedStateCreateInfoEXT | ( | Bool32 | srcPremultiplied_ = `0`,
|  | Bool32 | dstPremultiplied_ = `0`,
|  | BlendOverlapEXT | blendOverlap_ = `BlendOverlapEXT::eUncorrelated`
| ) |  |

inline

Definition at line 35743 of file vulkan.hpp.

: srcPremultiplied( srcPremultiplied_ )
, dstPremultiplied( dstPremultiplied_ )
, blendOverlap( blendOverlap_ )
{
}

## PipelineColorBlendAdvancedStateCreateInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::PipelineColorBlendAdvancedStateCreateInfoEXT | ( | VkPipelineColorBlendAdvancedStateCreateInfoEXT const & | rhs | ) |

inline

Definition at line 35752 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineColorBlendAdvancedStateCreateInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineColorBlendAdvancedStateCreateInfoEXT &()

VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::operator VkPipelineColorBlendAdvancedStateCreateInfoEXT & | ( |  | ) |

inline

Definition at line 35791 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineColorBlendAdvancedStateCreateInfoEXT*>(this);
}

## operator VkPipelineColorBlendAdvancedStateCreateInfoEXT const &()

VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::operator VkPipelineColorBlendAdvancedStateCreateInfoEXT const & | ( |  | ) | const

inline

Definition at line 35786 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineColorBlendAdvancedStateCreateInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::operator!= | ( | PipelineColorBlendAdvancedStateCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 35805 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineColorBlendAdvancedStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::operator= | ( | VkPipelineColorBlendAdvancedStateCreateInfoEXT const & | rhs | ) |

inline

Definition at line 35757 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineColorBlendAdvancedStateCreateInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::operator== | ( | PipelineColorBlendAdvancedStateCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 35796 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( srcPremultiplied == rhs.srcPremultiplied )
&& ( dstPremultiplied == rhs.dstPremultiplied )
&& ( blendOverlap == rhs.blendOverlap );
}

References blendOverlap, dstPremultiplied, pNext, srcPremultiplied, and sType.

Referenced by operator!=().

## setBlendOverlap()

PipelineColorBlendAdvancedStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::setBlendOverlap | ( | BlendOverlapEXT | blendOverlap_ | ) |

inline

Definition at line 35780 of file vulkan.hpp.

{
blendOverlap = blendOverlap_;
return *this;
}

References blendOverlap.

## setDstPremultiplied()

PipelineColorBlendAdvancedStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::setDstPremultiplied | ( | Bool32 | dstPremultiplied_ | ) |

inline

Definition at line 35774 of file vulkan.hpp.

{
dstPremultiplied = dstPremultiplied_;
return *this;
}

References dstPremultiplied.

## setPNext()

PipelineColorBlendAdvancedStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 35762 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSrcPremultiplied()

PipelineColorBlendAdvancedStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::setSrcPremultiplied | ( | Bool32 | srcPremultiplied_ | ) |

inline

Definition at line 35768 of file vulkan.hpp.

{
srcPremultiplied = srcPremultiplied_;
return *this;
}

References srcPremultiplied.

## Field Documentation

## blendOverlap

BlendOverlapEXT VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::blendOverlap

Definition at line 35817 of file vulkan.hpp.

Referenced by operator==(), and setBlendOverlap().

## dstPremultiplied

Bool32 VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::dstPremultiplied

Definition at line 35816 of file vulkan.hpp.

Referenced by operator==(), and setDstPremultiplied().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::pNext = nullptr

Definition at line 35814 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## srcPremultiplied

Bool32 VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::srcPremultiplied

Definition at line 35815 of file vulkan.hpp.

Referenced by operator==(), and setSrcPremultiplied().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::sType = StructureType::ePipelineColorBlendAdvancedStateCreateInfoEXT

private

Definition at line 35811 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::srcPremultiplied
Bool32 srcPremultiplied
Definition: vulkan.hpp:35815
VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::blendOverlap
BlendOverlapEXT blendOverlap
Definition: vulkan.hpp:35817
VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::dstPremultiplied
Bool32 dstPremultiplied
Definition: vulkan.hpp:35816
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPipelineColorBlendAdvancedStateCreateInfoEXT
Definition: vulkan_core.h:7727
VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:35814
VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::PipelineColorBlendAdvancedStateCreateInfoEXT
PipelineColorBlendAdvancedStateCreateInfoEXT(Bool32 srcPremultiplied_=0, Bool32 dstPremultiplied_=0, BlendOverlapEXT blendOverlap_=BlendOverlapEXT::eUncorrelated)
Definition: vulkan.hpp:35743
VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:35811
VULKAN_HPP_NAMESPACE::PipelineColorBlendAdvancedStateCreateInfoEXT::operator==
bool operator==(PipelineColorBlendAdvancedStateCreateInfoEXT const &rhs) const
Definition: vulkan.hpp:35796